Prototype template

Set this project’s prototype template; validated before it is stored

PUT
/v1/projects/{projectSlug}/prototype-template

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/projects/string/prototype-template" \  -H "Content-Type: application/json" \  -d '{    "html": "string"  }'
{  "template": {    "tier": "built-in",    "html": "string",    "path": "string",    "problem": {      "tier": "company",      "path": "string",      "state": "invalid",      "findings": [        {          "rule": "string",          "detail": "string",          "line": 0        }      ]    },    "bytes": 0,    "maxBytes": 0  }}